GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
cleanup_check.CleanupChecker Class Reference

## Public Member Functions
def | __init__ (self, fun)
def | guess_bb_location (self, bb)
def | compute_master (self, bb, bb_from, master_cleanup)
def | traverse_bbs (self, edge, bb, bb_from, entry_master)
def | check_cleanups (self)

## Public Attributes
| fun
| seen_edges
| bad_returns
| master_cleanups
| cleanup_aware
| only_do_cleanups_seen
| is_constructor
| is_special_constructor

## Detailed Description

Definition at line 193 of file cleanup_check.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def cleanup_check.CleanupChecker.__init__ | ( |  | self,
|  |  | fun
| ) |  |

Definition at line 194 of file cleanup_check.py.

## Member Function Documentation

## ◆ check_cleanups()

def cleanup_check.CleanupChecker.check_cleanups | ( |  | self | ) |

Definition at line 288 of file cleanup_check.py.

References cleanup_check.CleanupChecker.fun, cleanup_check.is_destructor(), and cleanup_check.needs_special_treatment().

## ◆ compute_master()

def cleanup_check.CleanupChecker.compute_master | ( |  | self,
|  |  | bb,
|  |  | bb_from,
|  |  | master_cleanup
| ) |  |

Definition at line 213 of file cleanup_check.py.

References cleanup_check.CleanupChecker.fun, cleanup_check.CleanupChecker.is_constructor, and cleanup_check.log().

Referenced by cleanup_check.CleanupChecker.traverse_bbs().

## ◆ guess_bb_location()

def cleanup_check.CleanupChecker.guess_bb_location | ( |  | self,
|  |  | bb
| ) |  |

Definition at line 204 of file cleanup_check.py.

References cleanup_check.CleanupChecker.fun.

## ◆ traverse_bbs()

def cleanup_check.CleanupChecker.traverse_bbs | ( |  | self,
|  |  | edge,
|  |  | bb,
|  |  | bb_from,
|  |  | entry_master
| ) |  |

Definition at line 252 of file cleanup_check.py.

References cleanup_check.CleanupChecker.compute_master(), cleanup_check.log(), cleanup_check.CleanupChecker.master_cleanups, cleanup_check.CleanupChecker.seen_edges, and cleanup_check.CleanupChecker.traverse_bbs().

Referenced by cleanup_check.CleanupChecker.traverse_bbs().

## Member Data Documentation

## ◆ bad_returns

cleanup_check.CleanupChecker.bad_returns

Definition at line 197 of file cleanup_check.py.

## ◆ cleanup_aware

cleanup_check.CleanupChecker.cleanup_aware

Definition at line 223 of file cleanup_check.py.

## ◆ fun

cleanup_check.CleanupChecker.fun

Definition at line 195 of file cleanup_check.py.

Referenced by cleanup_check.CleanupChecker.check_cleanups(), cleanup_check.CleanupChecker.compute_master(), and cleanup_check.CleanupChecker.guess_bb_location().

## ◆ is_constructor

cleanup_check.CleanupChecker.is_constructor

Definition at line 296 of file cleanup_check.py.

Referenced by cleanup_check.CleanupChecker.compute_master().

## ◆ is_special_constructor

cleanup_check.CleanupChecker.is_special_constructor

Definition at line 297 of file cleanup_check.py.

## ◆ master_cleanups

cleanup_check.CleanupChecker.master_cleanups

Definition at line 201 of file cleanup_check.py.

Referenced by cleanup_check.CleanupChecker.traverse_bbs().

## ◆ only_do_cleanups_seen

cleanup_check.CleanupChecker.only_do_cleanups_seen

Definition at line 227 of file cleanup_check.py.

## ◆ seen_edges

cleanup_check.CleanupChecker.seen_edges

Definition at line 196 of file cleanup_check.py.

Referenced by cleanup_check.CleanupChecker.traverse_bbs().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/contrib/cleanup_check.py